﻿function math.round(number, decimals, method)
    decimals = decimals or 0
    local factor = 10 ^ decimals
    if (method == "ceil" or method == "floor") then return math[method](number * factor) / factor
    else return tonumber(("%."..decimals.."f"):format(number)) end
end

statsLabel = {}

statsWindows = guiCreateStaticImage(0.845,0.18,0.150,0.22,"images/debag_monitor.png",true)
guiSetAlpha(statsWindows,0.8)
--Кровь
statsLabel["blood"] = guiCreateLabel(0,0.30,1,0.15,"Кровь: 12000",true,statsWindows)
guiLabelSetHorizontalAlign (statsLabel["blood"],"center")
guiSetFont (statsLabel["blood"], "default-bold-small" )
setElementData(statsLabel["blood"],"identifikation","blood")
--Зомби
statsLabel["zombies"] = guiCreateLabel(0,0.45,1,0.15,"Зомби (Ак./Вс.): 0/0",true,statsWindows)
guiLabelSetHorizontalAlign (statsLabel["zombies"],"center")
guiSetFont (statsLabel["zombies"], "default-bold-small" )
setElementData(statsLabel["zombies"],"identifikation","zombies")
--Температура
statsLabel["temperature"] = guiCreateLabel(0,0.60,1,0.15,"Температура: 37°C",true,statsWindows)
guiLabelSetHorizontalAlign (statsLabel["temperature"],"center")
guiSetFont (statsLabel["temperature"], "default-bold-small" )
setElementData(statsLabel["temperature"],"identifikation","temperature")
--Карма
statsLabel["humanity"] = guiCreateLabel(0,0.75,1,0.15,"Карма: 2500",true,statsWindows)
guiLabelSetHorizontalAlign (statsLabel["humanity"],"center")
guiSetFont (statsLabel["humanity"], "default-bold-small" )
setElementData(statsLabel["humanity"],"identifikation","humanity")
--Игровой ник
statsLabel["name"] = guiCreateLabel(0,0.06,1,0.15,"Ваш ник: "..getPlayerName(getLocalPlayer()),true,statsWindows)
guiLabelSetHorizontalAlign (statsLabel["name"],"center")
guiSetFont (statsLabel["name"], "default-bold-small" )
setElementData(statsLabel["name"],"identifikation","name")
guiLabelSetColor(statsLabel["name"], 159, 0, 0)

if getElementData(localPlayer,"logedin") then
	guiSetVisible(statsWindows,true)
else
	guiSetVisible(statsWindows,false)
end

function showDebugMonitor ()
	local visible = guiGetVisible(statsWindows)
	guiSetVisible(statsWindows,not visible)
end
bindKey("F5","down",showDebugMonitor)

function showDebugMintorOnLogin ()
	guiSetVisible(statsWindows,true)
end
addEvent("onClientPlayerDayZLogin", true)
addEventHandler("onClientPlayerDayZLogin", root, showDebugMintorOnLogin)

function refreshDebugMonitor()
	if getElementData(getLocalPlayer(),"logedin") then
		
		local value = getElementData(getLocalPlayer(),getElementData(statsLabel["blood"],"identifikation"))
		guiSetText(statsLabel["blood"],"Кровь: "..value)
		
		local value = getElementData(getRootElement(),"zombiesalive") or 0
		local value2 = getElementData(getRootElement(),"zombiestotal") or 0
		guiSetText(statsLabel["zombies"],"Зомби (Ак./Вс.): "..value.."/"..value2)
		
		local value = getElementData(getLocalPlayer(),getElementData(statsLabel["temperature"],"identifikation"))
		guiSetText(statsLabel["temperature"],"Температура: "..math.round(value,2).."°C")
		
		local value = getElementData(getLocalPlayer(),getElementData(statsLabel["humanity"],"identifikation"))
		guiSetText(statsLabel["humanity"],"Карма: "..math.round(value,2))
		
		guiSetText(statsLabel["name"],"Ваш ник: "..getPlayerName(getLocalPlayer()))
		
		
		if getElementData(getLocalPlayer(),"blood") >= 9500 then
        guiLabelSetColor(statsLabel["blood"], 0,255,0)--Это цвет надписи крови зелёный, загорается если у игрока крови больше 9500
        elseif getElementData(getLocalPlayer(),"blood") <= 9499 and getElementData(getLocalPlayer(),"blood") >= 6500 then
        guiLabelSetColor(statsLabel["blood"], 255,255,0)--Это цвет надписи крови жёлтый, загорается если у игрока крови меньше 9500
		elseif getElementData(getLocalPlayer(),"blood") <= 6499 and getElementData(getLocalPlayer(),"blood") >= 3000 then
		guiLabelSetColor(statsLabel["blood"], 0,0,255)--Это цвет надписи крови синий, загорается если у игрока крови меньше 6500
		elseif getElementData(getLocalPlayer(),"blood") <= 2999 then
		guiLabelSetColor(statsLabel["blood"], 139,0,0)--Это цвет надписи крови красный, загорается если у игрока крови меньше 3000
	    end
	end			
end
setTimer(refreshDebugMonitor,2000,0)